org.encog.neural.networks

## Class NeuralDataMapping

- java.lang.Object
- - org.encog.neural.networks.NeuralDataMapping

-     public class NeuralDataMapping
      extends Object

  Used to map one neural data object to another. Useful for a BAM network.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NeuralDataMapping()` Construct the neural data mapping class, with null values.
    `NeuralDataMapping(MLData from, MLData to)` Construct the neural data mapping class with the specified values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copy(NeuralDataMapping source, NeuralDataMapping target)` Copy from one object to the other.
    `MLData` | `getFrom()`
    `MLData` | `getTo()`
    `void` | `setFrom(MLData from)` Set the from data.
    `void` | `setTo(MLData to)` Set the target data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NeuralDataMapping

          public NeuralDataMapping()

      Construct the neural data mapping class, with null values.

    - #### NeuralDataMapping

          public NeuralDataMapping(MLData from,
                           MLData to)

      Construct the neural data mapping class with the specified values.
      Parameters:
        `from` - The source data.
        `to` - The target data.

  - ### Method Detail

    - #### copy

          public static void copy(NeuralDataMapping source,
                  NeuralDataMapping target)

      Copy from one object to the other.
      Parameters:
        `source` - The source object.
        `target` - The target object.

    - #### getFrom

          public MLData getFrom()

      Returns:
        The "from" data.

    - #### getTo

          public MLData getTo()

      Returns:
        The "to" data.

    - #### setFrom

          public void setFrom(MLData from)

      Set the from data.
      Parameters:
        `from` - The from data.

    - #### setTo

          public void setTo(MLData to)

      Set the target data.
      Parameters:
        `to` - The target data.

Copyright © 2014. All Rights Reserved.